Merge pull request #39344 from spxtr/boilerplate_test

Automatic merge from submit-queue (batch tested with PRs 39022, 39331, 39070, 39344)

Add a build rule for the boilerplate unit test.

We recently added unit tests that just run whenever you run `hack/verify_boilerplate.sh`, which really isn't the right time to do that. This adds a build rule instead.
pull/6/head
Kubernetes Submit Queue 2017-01-03 10:32:23 -08:00 committed by GitHub
commit 8623fdf0b1
3 changed files with 10 additions and 17 deletions

View File

@ -474,4 +474,4 @@ bazel-build:
bazel build //cmd/... //pkg/... //federation/... //plugin/... //build/... //examples/... //test/... //third_party/... bazel build //cmd/... //pkg/... //federation/... //plugin/... //build/... //examples/... //test/... //third_party/...
bazel-test: bazel-test:
bazel test --test_output=errors //cmd/... //pkg/... //federation/... //plugin/... //build/... //third_party/... bazel test --test_output=errors //cmd/... //pkg/... //federation/... //plugin/... //build/... //third_party/... //hack/...

View File

@ -1,3 +1,12 @@
package(default_visibility = ["//visibility:public"]) package(default_visibility = ["//visibility:public"])
exports_files(glob(["*.txt"])) exports_files(glob(["*.txt"]))
py_test(
name = "boilerplate_test",
srcs = [
"boilerplate_test.py",
"boilerplate.py",
],
data = glob(["*.txt", "test/*"]),
)

View File

@ -25,22 +25,6 @@ boiler="${boilerDir}/boilerplate.py"
files_need_boilerplate=($(${boiler} "$@")) files_need_boilerplate=($(${boiler} "$@"))
# Run boilerplate.py unit tests
unitTestOut="$(mktemp)"
trap cleanup EXIT
cleanup() {
rm "${unitTestOut}"
}
pushd "${boilerDir}" >/dev/null
if ! python -m unittest boilerplate_test 2>"${unitTestOut}"; then
echo "boilerplate_test.py failed"
echo
cat "${unitTestOut}"
exit 1
fi
popd >/dev/null
# Run boilerplate check # Run boilerplate check
if [[ ${#files_need_boilerplate[@]} -gt 0 ]]; then if [[ ${#files_need_boilerplate[@]} -gt 0 ]]; then
for file in "${files_need_boilerplate[@]}"; do for file in "${files_need_boilerplate[@]}"; do